Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 20473

Description

Hi !

Currently, it's still to edit the features even if they are hidden using those great checkboxes in the layers tab.

It's for instance possible to edit the nodes or to split the hidden features. This can very easily lead to errors, since you have absolutely no

visual feedback about what's happening

Besides reducing error proneness, disabling edition on the hidden features would be very practical. You could disable a specific category

to allow edition on a cluttered map, for instance.

Also check this bug ("Should hidden layers be editable/selectable?"): #4863

Thanks a lot !

Olivier

History

#1 - 2015-03-03 02:04 AM - Giovanni Manghi

- Status changed from Open to Feedback

shouldn't be a feature request? I see the point, but the actual situation does not seems a bug to me either. How does work other gis software?

#2 - 2015-03-03 02:15 AM - Olivier Dalang

Currently it is possible to make changes without seeing them, which easily leads to (in my case lead to) damaging data.

It's very striking with tools such as split, add ring, reshape, etc...

If you're not convinced I can make a screencast.

#3 - 2015-03-03 03:01 AM - Giovanni Manghi

If you're not convinced I can make a screencast.

it is not necessary, as I said, I see your point. My point was another one: as it is now, qgis behave as it has always done... so... is this issue really a bug?

how the other software, especially the market leading one, works in this sense?
#4 - 2015-03-03 11:19 AM - Olivier Dalang

as it is now, qgis behave as it has always done...

I'm not sure but I thought the ability to enable/disable types directly from the layer tree only exists since 2.6 ? (at least it wasn't here in 2.2)

So it's still quite new.

I can't think of any software where you can edit hidden features graphically (photoshop, illustrator, etc.), and would argue that even if ArcGIS does this

(unfortunately I can't test it right now), we shouldn't follow it.

I won't insist more, you got my point ;) Let's see what other people think about it...

#5 - 2015-03-03 03:08 PM - Nathan Woodrow

I agree, editing on hidden features is a bit of bad catch when editing.

#6 - 2015-03-04 04:52 AM - Giovanni Manghi

Olivier Dalang wrote:

as it is now, qgis behave as it has always done...

I'm not sure but I thought the ability to enable/disable types directly from the layer tree only exists since 2.6 ? (at least it wasn't here in 2.2)

So it's still quite new.

ok, but it is not the same if (example) I do a categorized symbology and choose to delete one or more of the symbology classes?

and would argue that even if ArcGIS does this (unfortunately I can't test it right now), we shouldn't follow it.

I was asking for the opposite reason, to understand if AG works as you are suggesting :)

#7 - 2015-03-04 02:36 PM - Antonio Locandro

On ArcGIS you can't as if a layer is hidden you can't select a template (predefined style) and thus can't select an editing tool. I wouldn't want to edit a

hidden feature but in QGIS you specifically turn on layers unlike ARCGIS where you edit whatever is inside a folder/workspace so it makes me wonder why

would you have and edit session open on a hidden layer. Anyway I dont think hidden layers should be able to be edited.

#8 - 2015-03-05 04:49 PM - Giovanni Manghi

Antonio Locandro wrote:

Anyway I dont think hidden layers should be able to be edited.

in this case we are speaking more of "hidden" features, by deactivating a symbology class (for example).
#9 - 2015-05-10 01:03 AM - Giovanni Manghi

- Target version changed from Version 2.8.1 to Version 2.8.2

#10 - 2015-11-07 11:17 AM - Giovanni Manghi

- Target version deleted (Version 2.8.2)

#11 - 2015-12-19 02:37 PM - Giovanni Manghi

- Category changed from Map Canvas to Digitising

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.8.1 to master

#12 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#13 - 2019-03-09 04:09 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
